Read or search FHIR resources

GET/fhir-provider/{fhir_provider_id}/fhir/{fhir_path}
RequiresBearerauthentication

Header parameters

Path parameters

fhir_provider_idstringrequired
fhir_pathstringrequired
Returns  

Response fields

resourceTypestringoptional
totalintegeroptional
entryarray<object>optional
resourceobjectoptional
resourceTypestringoptional
idstringoptional
namearray<object>optional
familystringoptional
givenarray<string>optional
GETRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X GET "https://experiment.app.pheno.ml/fhir-provider/550e8400-e29b-41d4-a716-446655440000/fhir/Patient" \
  -H "Authorization: Bearer $PHENOML_TOKEN"
200 OKExample Response
{
  "resourceType": "Bundle",
  "total": 2,
  "entry": [
    {
      "resource": {
        "resourceType": "Patient",
        "id": "123",
        "name": [
          {
            "family": "Doe",
            "given": [
              "John"
            ]
          }
        ]
      }
    }
  ]
}